Fermer le menu
 

macOS High Sierra Patcher installe 10.13 sur de vieux Mac

Nicolas Furno | | 12:00 |  30

Apple n’a pas modifié la liste de Mac compatibles avec High Sierra par rapport à Sierra. Si votre ordinateur actuel est compatible avec macOS 10.12, vous pourrez installer la mise à jour annuelle sans problème. La limite reste donc posée à 2010 pour la majorité des modèles, sauf pour les MacBook et les iMac qui peuvent remonter jusqu’à fin 2009.

Cliquer pour agrandir
Cliquer pour agrandir

Tout n’est pas perdu pour autant si vous n’êtes pas dans la liste officielle. Comme l’an dernier, certains Mac avant la limite imposée par Apple peuvent malgré tout bénéficier de High Sierra en utilisant cet utilitaire. En fonction des modèles, vous pouvez ainsi installer la dernière version sur un Mac sorti en 2008, mais avec une compatibilité souvent limitée.

Voici la liste des Mac compatibles avec cette solution tierce :

  • MacBook Pro : minimum début 2008 ;
  • MacBook Air : minimum fin 2008 (pas le tout premier modèle) ;
  • MacBook : modèle de fin 2008 pour l’aluminium, début 2009 pour le MacBook blanc ;
  • iMac : minimum début 2008 ;
  • Mac Pro et Xserve : minimum début 2008 ;
  • Mac mini : minimum début 2009 ;

L’installation est possible sur tous ces modèles, mais pas nécessairement souhaitable. Vous trouverez à cette adresse une liste des bugs connus pour ces anciens Mac. Il manque en particulier le contrôle de la luminosité au clavier sur les vieux iMac et les plus anciens MacBook, parfois le contrôle du volume sonore ne fonctionne pas davantage.

Autre limite majeure à noter, la carte Wi-Fi de bon nombre d’anciens Mac n’est plus prise en charge par High Sierra. La liste exhaustive est disponible sur le site de macOS High Sierra Patcher. La solution consistera soit à se passer de Wi-Fi, soit à remplacer la carte AirPort, ce qui sera plus facile sur un Mac Pro qu’un portable.

Interface d’installation spécifique pour pitcher les vieux Mac et installer High Sierra même si ce n’est pas prévu pour Apple.
Interface d’installation spécifique pour pitcher les vieux Mac et installer High Sierra même si ce n’est pas prévu pour Apple.

Si ces mises en garde ne vous effraient pas trop, vous trouverez la marche à suivre détaillée sur la page du projet. L’installation peut se faire sur un volume APFS ou HFS+ et si tout va bien, vous passerez votre Mac sur High Sierra et pourrez ensuite profiter des mises à jour du système comme sur n’importe quel Mac compatible à la base.

Et pour les hackintosh ?

Bonne nouvelle si vous avez tenté l’aventure Hackintosh, macOS High Sierra ne devrait pas poser de problème majeur. Les outils automatisés et simplifiés ne sont pas encore mis à jour, pas plus que les pilotes graphiques pour les cartes Nvidia. De manière générale, il est préférable d’attendre au moins la sortie de la version finale avant de se lancer.

Néanmoins, plusieurs lecteurs ont déjà mis à jour leur hackintosh, avec succès, y compris en APFS. La transition devrait ainsi rester relativement simple, même si chaque mise à jour majeure de macOS nécessite un petit peu de prudence quand on n’utilise pas du matériel officiellement validé par Apple.


Les derniers dossiers

Ailleurs sur le Web


30 Commentaires Signaler un abus dans les commentaires

avatar moivince06 11/09/2017 - 12:13 via iGeneration pour iOS

j'avais installé sierra sur mon macbook 17 de 2009 c'etait une horreur...un ralentissement sans nom!

avatar Ginger bread 11/09/2017 - 22:53 via iGeneration pour iOS

@moivince06

Install Bootcamp et Windows.
Microsoft ne joue pas sur l'obsolescence programmée.
Un vieux reste toujours utilisable pour quelque chose même si on est plus eligible aux mises à jour Apple.

avatar Bigdidou 11/09/2017 - 23:23 via iGeneration pour iOS

@Ginger bread

« Microsoft ne joue pas sur l'obsolescence programmée. »
Rhooooo :D



avatar Ginger bread 12/09/2017 - 01:07 via iGeneration pour iOS

@Bigdidou

Exemple: la Marine britannique utilise XP sur leurs porte avions tout neufs et Microsoft continue de patcher.
Ce n est pas Apple qui ferait ça.

avatar TheRV 12/09/2017 - 09:03 via iGeneration pour iOS

@moivince06

Vous aviez laisse le disque dur et la ram d'origine pour que ce soit catastrophique ?

avatar doudee 11/09/2017 - 12:29 (edité)

Idem. J'ai tenté d'installer sierra sur mon macbook pro late 2008 l'année dernière. Ce fut une catastrophe à tel point que j'ai du réinstaller El Capitan.
Au bout de 9 ans de bons et loyaux services, je viens de le remplacer par un iMac 21,5 4K, carte Radeon 4g, Fusion drive 1 To...
Aucun regret.

avatar daffyb 11/09/2017 - 12:57 via iGeneration pour iOS

Sierra sur un MacBook Pro mid 2009 avec 8Go et un SSD. au top !

avatar jeantro 11/09/2017 - 14:10 via iGeneration pour iOS

@daffyb

Tout comme toi il tourne parfaitement 8go+SSD je ne vois aucune différence avec l'ancienne version au niveau performance. Je vais du coup installer la nouvelle monture. Après toutes ces années il continu d'être à la page une bonne cuvée que ce MacBook Pro mi-2009

avatar ipfix8 11/09/2017 - 17:39

Pareil et même config ;-) je pense que tu parles de High Sierra
J'ai même été assez étonné par tous les "anciens logiciels" qui ont gardé leur compatibilité ! Bref avec une clean install on redonne un léger coup de fouet à son mbpro mid 2009 :)

avatar Doctomac 11/09/2017 - 12:59

Franchement, vous devriez quand même informer les lecteurs de la «  dangerosité » de ce type d'opération. macOS high Sierra n’est plus testé sur ces machines, donc il peut y avoir bug et plantages et bien sûr Apple n’apportera aucun support.

Par ailleurs, il semble (selon l’information support de la dernière beta) que High Sierra ne s’installera uniquement en HFS+ sur les HDD. Je ne vois pas donc pas comment cet utilitaire pourrait le faire en APFS sur des vieux mac avec HDD.

avatar LeGrosJeanLou 11/09/2017 - 15:59 (edité)

@Doctomac

Sur les machines d'avant 2012 on peut changer le disque dur et même augmenter la RAM.

Par ailleurs, je ne vois nulle part indiqué que High Sierra sait formater un HDD plateau en APFS (ce qui est impossible il me semble). Je lis qu'il s'installe sur un disque en APFS ou HFS+. Si le disque est APFS c'est forcément un SSD.

De plus, les risques encourus sont il me semble assez bien expliqués, soit ici soit sur le site en question.

Pour finir, cette installation nécessite une bidouille qui implique que l'utilisateur a un minimum de connaissance technique, ou du moins qu'il est conscient qu'Apple ne permet pas ce genre d'opération.

avatar flatlance 11/09/2017 - 17:24

"Sur les machines d'avant 2012 on peut changer le disque dur et même augmenter la RAM."
Pas seulement sur les machines d'avant 2012. Sur celles de 2012 aussi. :)

avatar Matlouf 11/09/2017 - 12:58

J'imagine que c'est pas la peine d'essayer sur mon iMac G3 ?

avatar Karamazow 11/09/2017 - 13:00 via iGeneration pour iOS

Avec un tel outil je me laisserai bien tenter sur mon Mac mini End '09 équipé de 8 Go de ram et un SSD. qu'en pensez-vous ?

avatar jeantro 11/09/2017 - 15:10 via iGeneration pour iOS

@Karamazow

Tu peux le faire sans soucis avec cette configuration j'avais d'ailleurs ouvert un post sur le forum l'année dernière sur ce sujet qui avait été repris par Mac g
Depuis ça sortie que je tourne avec et il fonctionne parfaitement. N'écoute pas trop les autres qui essaie de te faire peur

En plus les MAJ sont actives

Les seules conditions avoir assez de mémoire et un SSD,de ce côté la il me semble que tu es fournis

avatar Pipes Chapman 12/09/2017 - 10:44

puisque tu demandes on en pense que tu devrais rester bien tranquillement sous Sierra... au lieu de foncer sur un système réservé aux dévellopeurs pour l'instant. (et même après...)

avatar Ced' 11/09/2017 - 13:21

Idem... j'avais installé Sierra patché sur un iMac de début 2008, le volume était bloqué à fond et le son était atroce, sifflant, grésillant. Rien à faire, obligé de remettre El Capitan. Ceci dit, High Sierra patché règle peut-être ce problème...

avatar SugarWater 11/09/2017 - 13:28 via iGeneration pour iOS

Un hahackintosh !

avatar Olivier Faure 11/09/2017 - 14:05 (edité)

J'avais updaté mon firmware MacPro4,1 vers MacPro5,1 et depuis (pas sûr que ça soit lié), impossible d'avoir la liste des disques au boot avec alt... très gênant, je vais voir si cet utilitaire peut y faire quelque chose...

Impossible aussi de revenir au 4.1 d'ailleurs... pénible

avatar Ced' 11/09/2017 - 18:33

Ne serait-ce pas lié à la carte graphique, si tu l'as changée ?

avatar thunder72fr 11/09/2017 - 19:54

Bizarre, j'ai un Mac Pro 4.1 flashé 5.1 mono processeur (W3690) avec GTX680 flashée.... Aucun soucis.

Je suis actuellement en double boot Hight Sierra / Windows 10 Pro (Bootloader Refind)

avatar CR_B 11/09/2017 - 14:11 (edité)

Ca fait 6 mois que j'utilise sierra sur un Mac Pro 2008 et ca marche sans aucun soucis.
J'ai juste supprimé le lecteur CD qui ralentissait pas mal la machine (je ne sais pas pourquoi), et j'ai pas de wifi (c'était en option a l'époque)

avatar Arkos 11/09/2017 - 15:40 via iGeneration pour iOS (edité)

Bonjour à tous !
Quelqu'un à tenté sur high sierra
Photoshop cs6 et lightroom 5
j'ai pas osé installé même sur ssd externe
merci pour vos retours ??

avatar LeGrosJeanLou 11/09/2017 - 16:03 (edité)

@Arkos

Je sais que la CC fonctionne bien sur HS mais je n'en sais pas plus pour la CS6.

Tu peux l'installer sur un disque externe sans risque. T'es même pas obligé d'utiliser un SSD. Si par la suite tu veux boiter proprement sur ton disque interne tu peux aller dans Réglages -> Disque de démarrage et tu sélectionnes ton disque interne.

avatar Arkos 11/09/2017 - 16:17 via iGeneration pour iOS

@LeGrosJeanLou

Ok merci pour ton retour je suis toujours
sur El Capitan pour le moment avec
MBP 15 de juin 2010 Adobe déconseille
d'installer PS cs6 et LR 5 sur sierra
Par contre sierra tourne bien sûr ce Mac
quoi qu'il consomme pas mal de ram
mais bon ! j'ai Affinity photo mais il me
manque contenu pris en compte
correspondance des couleurs et autres ??
merci à toi bonne soirée

Pages